# eric4.Preferences.ConfigurationPages.EditorFilePage

Module implementing the Editor General configuration page.

### Global Attributes

None

### Classes

EditorFilePage | Class implementing the Editor File configuration page.

### Functions

create | Module function to create the configuration page.

## EditorFilePage

Class implementing the Editor File configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorFilePage

### Class Attributes

None

### Class Methods

None

### Methods

EditorFilePage | Constructor
__checkFileFilter | Private method to check a file filter for validity.
__extractFileFilters | Private method to extract the file filters.
__setDefaultFiltersLists | Private slot to set the default file filter combo boxes.
on_addFileFilterButton_clicked | Private slot to add a file filter to the list.
on_deleteFileFilterButton_clicked | Private slot called to delete a file filter entry.
on_editFileFilterButton_clicked | Private slot called to edit a file filter entry.
on_fileFiltersList_currentItemChanged | Private slot to set the state of the edit and delete buttons.
on_openFiltersButton_toggled | Private slot to switch the list of file filters.
save | Public slot to save the Editor General configuration.

### Static Methods

None

#### EditorFilePage (Constructor)

EditorFilePage()

Constructor

#### EditorFilePage.__checkFileFilter

__checkFileFilter(filter)

Private method to check a file filter for validity.

filter
  file filter pattern to check (QString)

Returns:
  flag indicating validity (boolean)

#### EditorFilePage.__extractFileFilters

__extractFileFilters()

Private method to extract the file filters.

#### EditorFilePage.__setDefaultFiltersLists

__setDefaultFiltersLists(keepSelection = False)

Private slot to set the default file filter combo boxes.

keepSelection
  flag indicating to keep the current selection if possible (boolean)

#### EditorFilePage.on_addFileFilterButton_clicked

on_addFileFilterButton_clicked()

Private slot to add a file filter to the list.

#### EditorFilePage.on_deleteFileFilterButton_clicked

on_deleteFileFilterButton_clicked()

Private slot called to delete a file filter entry.

#### EditorFilePage.on_editFileFilterButton_clicked

on_editFileFilterButton_clicked()

Private slot called to edit a file filter entry.

#### EditorFilePage.on_fileFiltersList_currentItemChanged

on_fileFiltersList_currentItemChanged(current, previous)

Private slot to set the state of the edit and delete buttons.

current
  new current item (QListWidgetItem)
previous
  previous current item (QListWidgetItem)

#### EditorFilePage.on_openFiltersButton_toggled

on_openFiltersButton_toggled(checked)

Private slot to switch the list of file filters.

checked
  flag indicating the check state of the button (boolean)

#### EditorFilePage.save

save()

Public slot to save the Editor General configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up